org.apache.sling.crankstart.api

## Interface CrankstartCommand

    public interface CrankstartCommand

### Method Summary

Methods
`boolean` `appliesTo(CrankstartCommandLine commandLine)`
`void` `execute(CrankstartContext crankstartContext, CrankstartCommandLine commandLine)`
`String` `getDescription()`

### Method Detail

#### appliesTo

    boolean appliesTo(CrankstartCommandLine commandLine)

#### execute

    void execute(CrankstartContext crankstartContext,
               CrankstartCommandLine commandLine)
                 throws Exception

Throws:
  `Exception`

#### getDescription

    String getDescription()